Package org.globus.ftp.dc

# Class ActiveStartTransferTask

java.lang.Object
org.globus.ftp.dc.Task
org.globus.ftp.dc.ActiveStartTransferTask

public class ActiveStartTransferTask extends Task
This task will start the transfer on the supplied socket. The socket is assumed to have been already connected to the remote server (for instance, by active connect task). It is little tricky: it will cause data channel to start a new thread. By the time this task completes, the new thread is running the transfer. Any resulting exceptions are piped to the local control channel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`RETR`
`protected static final int`
`STOR`

### Fields inherited from class org.globus.ftp.dc.Task

`complete, exception`

## Constructor Summary

Constructors
Constructor
Description
`ActiveStartTransferTask(DataSink sink, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`
`ActiveStartTransferTask(DataSource source, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`

### Methods inherited from class org.globus.ftp.dc.Task

`setComplete, stop, waitFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STOR

protected static final int STOR

See Also:
  - Constant Field Values

### RETR

protected static final int RETR

See Also:
  - Constant Field Values

## Constructor Details

### ActiveStartTransferTask

public ActiveStartTransferTask(DataSink sink, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)

### ActiveStartTransferTask

public ActiveStartTransferTask(DataSource source, BasicServerControlChannel control, SocketBox box, Session session, DataChannelFactory factory, TransferContext context)

## Method Details

### execute

public void execute()

Specified by:
  `execute` in class `Task`